{ pkgs, inputs, ... }:

{
	fonts.fontDir.enable = true;
	fonts.packages = [
		inputs.apple-emoji.packages.${pkgs.system}.apple-emoji-nix
		inputs.apple-fonts.packages.${pkgs.system}.sf-pro-nerd
		inputs.apple-fonts.packages.${pkgs.system}.sf-compact-nerd
		inputs.apple-fonts.packages.${pkgs.system}.sf-mono-nerd
	];

	fonts.fontconfig.enable = true;
	fonts.enableDefaultPackages = false;
	fonts.fontconfig.defaultFonts = {
		sansSerif = [ "SFProText Nerd Font" "SFProDisplay Nerd Font" ];
		serif = [ "SFProText Nerd Font" "SFProDisplay Nerd Font" ];
		monospace = [ "SFMono Nerd Font" ];
		emoji = [ "Apple Color Emoji" ];
	};
}
