{ config, lib, pkgs, ... }:

{
  options.services.greetd-hyprland.enable = lib.mkEnableOption "Enable GreetD with TUI-based login.";

  config = lib.mkIf config.services.greetd-hyprland.enable {
    services.greetd = {
      enable = true;
      settings = {
        default_session = {
          command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --cmd Hyprland";
        };
      };
    };
  };
}
